import { SimpleConnectableObject } from "zrim-base-objects";
import { postGreSqlManager, PostGreSqlManager } from "../../pgsql-manager";
import * as pgPromise from 'pg-promise';
/**
 * Simple implementation of the postgresql manager (MOCK)
 */
export declare class SimplePostGreSqlManager extends SimpleConnectableObject implements PostGreSqlManager {
    /**
     * @inheritDoc
     */
    flags: postGreSqlManager.Flags | undefined;
    /**
     * @inheritDoc
     */
    database: pgPromise.IDatabase<postGreSqlManager.DriverExtension> | undefined;
    /**
     * @inheritDoc
     */
    getFlags(): postGreSqlManager.Flags | undefined;
    /**
     * @inheritDoc
     */
    isReadOnly(): boolean;
    /**
     * @inheritDoc
     */
    checkDataBaseHealth(options: postGreSqlManager.CheckDataBaseHealthOptions): Promise<postGreSqlManager.CheckDataBaseHealthOnResolve>;
}
