"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const zrim_base_objects_1 = require("zrim-base-objects");
const zrim_errors_1 = require("zrim-errors");
/**
 * Simple implementation of the postgresql manager (MOCK)
 */
class SimplePostGreSqlManager extends zrim_base_objects_1.SimpleConnectableObject {
    constructor() {
        super(...arguments);
        /**
         * @inheritDoc
         */
        this.flags = undefined;
        /**
         * @inheritDoc
         */
        this.database = undefined;
    }
    /**
     * @inheritDoc
     */
    getFlags() {
        return {};
    }
    /**
     * @inheritDoc
     */
    isReadOnly() {
        return false;
    }
    /**
     * @inheritDoc
     */
    async checkDataBaseHealth(options) {
        throw new zrim_errors_1.common.NotImplementedError();
    }
}
exports.SimplePostGreSqlManager = SimplePostGreSqlManager;
//# sourceMappingURL=simple-pgsql-manager.js.map